/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: file.h,v $
 * Revision 1.9  1996/01/19  00:52:26  drapeau
 * Fixed compilation errors for g++.
 *
 * Revision 1.8  1995/09/26  07:12:48  drapeau
 * Made the file friendly to C++ compilers.
 *
 * Revision 1.7  1993/11/19  04:48:54  drapeau
 * Added support for SVR4.  Changes too numerous to mention here.
 *
 * Revision 1.2  91/08/19  13:09:20  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifdef __cplusplus
extern "C"	{
#endif

#ifndef lint
static char *rcsid_file_h = "@(#)$Id: file.h,v 1.9 1996/01/19 00:52:26 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	file.h - include file for file.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializeFile();
extern int FileStatus();
extern int FileFrameNumber();
extern int SetFileAudio();
extern int SetFileVideo();
extern int ShowFileFrame();
extern int ShowFileSegment();
extern int FilePlay();
extern int FileReverse();
extern int FileStop();
extern int FileContinue();
extern int FileStill();
extern int FileStepForward();
extern int FileStepReverse();
extern int FileSlowForward();
extern int FileSlowReverse();
extern int FileFastForward();
extern int FileFastReverse();
extern int FileIndex();
extern int FileEject();

/* end of file.h */
#ifdef __cplusplus
}
#endif
