/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: jvc.h,v $
 * Revision 1.3  1996/01/19  00:52:56  drapeau
 * Fixed compilation errors for g++.
 *
 * Revision 1.2  1995/09/26  07:12:36  drapeau
 * Made the file friendly to C++ compilers.
 *
 * Revision 1.1  1993/10/08  11:21:06  schen
 * Initial revision
 *
 * Revision 1.6  92/06/05  18:55:15  schen
 * Moved from pod.h to ../../../../include/jvc.h
 * 
 * Revision 1.5  92/05/21  15:12:35  schen
 * check in demo19
 * 
 * Revision 1.2  91/08/19  13:09:43  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifdef __cplusplus
extern "C"	{
#endif

#ifndef lint
static char *rcsid_jvc_h = "@(#)$Id: jvc.h,v 1.3 1996/01/19 00:52:56 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	jvc.h - include file for jvc.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializeJVC();
extern int JVCStatus();
extern int JVCFrameNumber();
extern int SetJVCAudio();
extern int SetJVCVideo();
extern int ShowJVCFrame();
extern int ShowJVCSegment();
extern int JVCPlay();
extern int JVCReverse();
extern int JVCStop();
extern int JVCContinue();
extern int JVCStill();
extern int JVCStepForward();
extern int JVCStepReverse();
extern int JVCSlowForward();
extern int JVCSlowReverse();
extern int JVCFastForward();
extern int JVCFastReverse();
extern int JVCIndex();
extern int JVCEject();

/* end of jvc.h */
#ifdef __cplusplus
}
#endif
