/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: pc-vcr.h,v $
 * Revision 1.9  1996/01/19  00:55:47  drapeau
 * Fixed compilation errors for g++.
 *
 * Revision 1.8  1995/09/26  07:11:54  drapeau
 * Made the file friendly to C++ compilers.
 *
 * Revision 1.7  1993/11/19  04:48:54  drapeau
 * Added support for SVR4.  Changes too numerous to mention here.
 *
 * Revision 1.2  91/08/19  13:09:28  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifdef __cplusplus
extern "C"	{
#endif

#ifndef lint
static char *rcsid_pc_vcr_h = "@(#)$Id: pc-vcr.h,v 1.9 1996/01/19 00:55:47 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	pc-vcr.h - include file for pc-vcr.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializeNEC();
extern int NECStatus();
extern int NECFrameNumber();
extern int SetNECAudio();
extern int SetNECVideo();
extern int ShowNECFrame();
extern int ShowNECSegment();
extern int NECPlay();
extern int NECReverse();
extern int NECStop();
extern int NECContinue();
extern int NECStill();
extern int NECStepForward();
extern int NECStepReverse();
extern int NECSlowForward();
extern int NECSlowReverse();
extern int NECFastForward();
extern int NECFastReverse();
extern int NECIndex();
extern int NECEject();

/* end of pc-vcr.h */
#ifdef __cplusplus
}
#endif
