/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: pod.h,v $
 * Revision 1.8  1996/01/19  01:00:22  drapeau
 * Fixed compilation errors for g++.
 *
 * Revision 1.7  1995/09/26  07:11:34  drapeau
 * Made the file friendly to C++ compilers.
 *
 * Revision 1.6  1992/06/05  18:55:15  eric
 * Moved from pod.h to ../../../../include/pod.h
 *
 * Revision 1.5  92/05/21  15:12:35  schen
 * check in demo19
 * 
 * Revision 1.2  91/08/19  13:09:43  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifdef __cplusplus
extern "C"	{
#endif

#ifndef lint
static char *rcsid_pod_h = "@(#)$Id: pod.h,v 1.8 1996/01/19 01:00:22 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	pod.h - include file for pod.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializePod();
extern int PodStatus();
extern int PodFrameNumber();
extern int SetPodAudio();
extern int SetPodVideo();
extern int ShowPodFrame();
extern int ShowPodSegment();
extern int PodPlay();
extern int PodReverse();
extern int PodStop();
extern int PodContinue();
extern int PodStill();
extern int PodStepForward();
extern int PodStepReverse();
extern int PodSlowForward();
extern int PodSlowReverse();
extern int PodFastForward();
extern int PodFastReverse();
extern int PodIndex();
extern int PodEject();

/* end of pod.h */
#ifdef __cplusplus
}
#endif
