/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: sony.h,v $
 * Revision 1.9  1996/01/19  01:01:37  drapeau
 * Fixed compilation errors for g++.
 *
 * Revision 1.8  1995/09/26  07:11:17  drapeau
 * Made the file friendly to C++ compilers.
 *
 * Revision 1.7  1993/11/19  04:48:54  drapeau
 * Added support for SVR4.  Changes too numerous to mention here.
 *
 * Revision 1.2  91/08/19  13:09:47  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifdef __cplusplus
extern "C"	{
#endif

#ifndef lint
static char *rcsid_sony_h = "@(#)$Id: sony.h,v 1.9 1996/01/19 01:01:37 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	sony.h - include file for sony.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializeSony();
extern int SonyStatus();
extern int SonyFrameNumber();
extern int SetSonyAudio();
extern int SetSonyVideo();
extern int ShowSonyFrame();
extern int ShowSonySegment();
extern int SonyPlay();
extern int SonyReverse();
extern int SonyStop();
extern int SonyContinue();
extern int SonyStill();
extern int SonyStepForward();
extern int SonyStepReverse();
extern int SonySlowForward();
extern int SonySlowReverse();
extern int SonyFastForward();
extern int SonyFastReverse();
extern int SonyIndex();
extern int SonyEject();

/* end of sony.h */
#ifdef __cplusplus
}
#endif
