/* $Header: /plx/source/Xclients/generic/RCS/MovieCat.c,v 1.2 1995/10/27 17:03:23 lovvik Exp $ */

/*
 *   Copyright (c) 1995 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: MovieCat.c,v $
 * Revision 1.2  1995/10/27  17:03:23  lovvik
 * Added include file:  <Xm/Text.h>
 *
 * Revision 1.1  1995/09/21  00:27:45  lovvik
 * Initial revision
 * */

static char movieCatRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/MovieCat.c,v 1.2 1995/10/27 17:03:23 lovvik Exp $";

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>

#include <Xm/Xm.h>
#include <Xm/CascadeB.h>
#include <Xm/DialogS.h>
#include <Xm/Form.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>
#include <Xm/List.h>
#include <Xm/MessageB.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/Scale.h>
#include <Xm/ScrollBar.h>
#include <Xm/Separator.h>
#include <Xm/TextF.h>
#include <Xm/LabelG.h>
#include <Xm/PushBG.h>
#include <Xm/SeparatoG.h>
#include <Xm/ToggleBG.h>
#include <stdio.h>

#include "interface.h"
#include "structs.h"
#include "prototypes.h"

XtAppContext 	app_context;


XtAppContext app_context;
Display *display;       /*  Display             */

int main (int argc, char **argv)
{
  XtSetLanguageProc ( (XtAppContext) NULL, (XtLanguageProc) NULL, (XtPointer) NULL );
  XtToolkitInitialize ();
  app_context = XtCreateApplicationContext ();
  display = XtOpenDisplay (app_context, NULL, argv[0], "MovieCat",
			   NULL, 0, &argc, argv);
  if (!display)
  {
    printf("%s: can't open display, exiting...\n", argv[0]);
    exit (-1);
  }
  create_mainWindow ( display, argv[0], argc, argv );
  create_errorShell ( mainWindow );
  create_movieProgressShell ( mainWindow );
  create_movieSelectionShell ( mainWindow );
  create_aboutShell ( mainWindow );
  create_fileListShell ( mainWindow );
  create_helpShell ( mainWindow );

  Initialize();
  
  XtRealizeWidget (mainWindow);
  XtAppMainLoop (app_context);
  exit (0);
}

