/* $Header: /plx/source/Xclients/generic/RCS/structs.h,v 1.2 1995/10/04 00:13:30 lovvik Exp $ */

/*
 *   Copyright (c) 1995 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: structs.h,v $
 * Revision 1.2  1995/10/04  00:13:30  lovvik
 * Removed a definition for the Audio_hdr structure.  This
 * structure is now included in the movie.h include file.
 *
 * Revision 1.1  1995/09/21  00:40:49  lovvik
 * Initial revision
 * */

static char movieCatStructsRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/structs.h,v 1.2 1995/10/04 00:13:30 lovvik Exp $";

#define MAXIMUM_NUMBER_OF_CLIPS 100

#define MC_NO_CLIPS 1
#define MC_MODIFY   2
#define MC_ADD      3
#define MC_INSERT   4
#define MC_DELETE   5
#define MC_CREATING 6
#define MC_READY    7
#define MC_ERROR    8

#define MAIN_WINDOW_WIDTH 420
#define MAIN_WINDOW_HEIGHT 360

typedef struct
{
  char *fileName;
  int  copyEntireMovie;
  int  fromFrame;
  int  toFrame;
  int  copyAudio;
  int  movieLength;
  unsigned int  clipSize;
} ClipListEntry;

typedef struct
{
  char *destinationFileName;
  int  numberOfClips;
  int  currentClip;
  int  status;
} MovieCatInfo;

typedef struct
{
  char *currentMovie;
  int  percentComplete;
} ProgressInfo;




