/* $Header: /plx/source/Xclients/generic/RCS/hpAudioDevice.h,v 1.2 1995/04/27 16:41:35 lovvik Exp $*/

/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: hpAudioDevice.h,v $
 * Revision 1.2  1995/04/27  16:41:35  lovvik
 * Fixed a syntax error in the Rcsid declaration.
 *
 * Revision 1.1  1995/04/27  00:20:51  lovvik
 * Initial revision
 * */

static char hpAudioDeviceRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/hpAudioDevice.h,v 1.2 1995/04/27 16:41:35 lovvik Exp $";

/* Prototypes for audio primitives using the HP audio device */

int HPAudioDeviceAudioWrite(char *audioData, int audioslice);
int HPAudioDeviceAudioRead(char *audioData, int audioslice);
void HPAudioDeviceAudioPlayConnect(void);
void HPAudioDeviceAudioPlayDisconnect(void);
void HPAudioDeviceAudioRecordConnect(void);
void HPAudioDeviceAudioRecordDisconnect(void);
void HPAudioDeviceAudioRecordPause(void);
void HPAudioDeviceAudioRecordResume(void);
void HPAudioDeviceAudioPlayPause(void);
void HPAudioDeviceAudioPlayResume(void);
void HPAudioDevicePrintAudioInfo(PortableAudio* audioInfo);
int HPAudioDeviceInitializeAudio(void);
void HPAudioDeviceSetAudioPlayVolume(int percent);
void HPAudioDeviceSetAudioRecordVolume(int percent);
void HPAudioDeviceSetAudioMonitorVolume(int percent);
void HPAudioDeviceSetPlaybackDevice(int deviceType);
void HPAudioDeviceSetRecordDevice(int deviceType);
int HPAudioDeviceSetAudioPlaybackConfiguration(Audio_hdr* audioInfo);
void HPAudioDeviceAudioClose(void);
void HPAudioDeviceSyncAudioPlaybackDevice(void);
void HPAudioDeviceSyncAudioRecordDevice(void);
void HPAudioDeviceAudioStopPlayDevice(void);
void HPAudioDeviceAudioStopRecordDevice(void);
