/* $Header: /plx/source/Xclients/generic/RCS/sunAudio.h,v 1.2 1995/08/31 07:34:48 drapeau Exp $ */

/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: sunAudio.h,v $
 * Revision 1.2  1995/08/31  07:34:48  drapeau
 * Added not-implemented functions for two new methods for the audio
 * object.  These two methods are currently used only for the AIX UMS
 * audio driver.
 *
 * Revision 1.1  1995/04/27  00:39:03  lovvik
 * Initial revision
 * */

static char sunAudioRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/sunAudio.h,v 1.2 1995/08/31 07:34:48 drapeau Exp $";

/* Prototypes for audio primatives using the sun audio device */

int SunAudioDeviceAudioWrite(char *audioData, int audioslice);
int SunAudioDeviceAudioRead(char *audioData, int audioslice);
void SunAudioDeviceAudioPlayConnect(void);
void SunAudioDeviceAudioPlayDisconnect(void);
void SunAudioDeviceAudioRecordConnect(void);
void SunAudioDeviceAudioRecordDisconnect(void);
void SunAudioDeviceAudioRecordPause(void);
void SunAudioDeviceAudioRecordResume(void);
void SunAudioDeviceAudioPlayPause(void);
void SunAudioDeviceAudioPlayResume(void);
void SunAudioDevicePrintAudioInfo(PortableAudio* audioInfo);
int SunAudioDeviceInitializeAudio(void);
void SunAudioDeviceSetAudioPlayVolume(int percent);
void SunAudioDeviceSetAudioRecordVolume(int percent);
void SunAudioDeviceSetAudioMonitorVolume(int percent);
void SunAudioDeviceSetPlaybackDevice(int deviceType);
void SunAudioDeviceSetRecordDevice(int deviceType);
int SunAudioDeviceSetAudioPlaybackConfiguration(Audio_hdr* audioInfo);
void SunAudioDeviceAudioClose(void);
void SunAudioDeviceSyncAudioPlaybackDevice(void);
void SunAudioDeviceSyncAudioRecordDevice(void);
void SunAudioDeviceAudioStopPlayDevice(void);
void SunAudioDeviceAudioStopRecordDevice(void);
Boolean SunAudioDeviceAudioReadOverrun(void);
long SunAudioDeviceAudioBytesInBuffer(void);
