/* $Header: /plx/source/Xclients/generic/RCS/sunMPEG.c,v 0.92 1996/01/05 23:36:53 drapeau Exp $ */
/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: George Drapeau
 */
/* $Log: sunMPEG.c,v $
 * Revision 0.92  1996/01/05  23:36:53  drapeau
 * Minor addition to ShowCompactMovieDialog() to account for new
 * interface feature that should be greyed out when this function is
 * called.
 *
 * Revision 0.91  1994/08/23  01:35:22  drapeau
 * Added code for an alert dialog box.
 *
 * Revision 0.90  1994/05/31  20:13:34  drapeau
 * First working version for the Sun platform (does not actually
 * do the conversion; conversion functions are stubbed out).
 * */
static char sunMPEGRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/sunMPEG.c,v 0.92 1996/01/05 23:36:53 drapeau Exp $";

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>
#include <Xm/Xm.h>
#include <Xm/PushB.h>
#include <Xm/Scale.h>
#include <Xm/PushBG.h>
#include "MovieTool.h"



void SaveMPEGFile(char* fileName)
{
  sprintf(errorMessage,
	  "Saving MPEG files is not yet implemented on this platform.\n");
  PrintErrorMessage(errorMessage);
  return;
} /* end function SaveMPEGFile */



void ShowCompactMovieDialog(Widget	w,
			    XtPointer	client_data,
			    XtPointer	xt_call_data)
{
  XtVaSetValues(fileDialog,
		XmNtitle, "Compact This Movie",
		NULL);
  XtRemoveCallback(fileSelectionBox, XmNokCallback, SaveMovie, NULL);
  XtRemoveCallback(fileSelectionBox, XmNokCallback, OpenMovie, NULL);
  XtRemoveCallback(fileSelectionBox, XmNokCallback, CompactMovie, NULL);
  XtRemoveCallback(fileSelectionBox, XmNokCallback, SaveStill, NULL);
  XtAddCallback(fileSelectionBox, XmNokCallback, CompactMovie, NULL);
  XtVaSetValues(saveAsOptionButton, XmNsensitive, False, NULL);	    /* Don't allow author to choose final movie output format */
  XtManageChild(fileSelectionBox);
  return;
} /* end function ShowCompactMovieDialog */
