/* $Header: /plx/source/Xclients/generic/RCS/diagnostics.c,v 1.1 1995/10/02 23:40:34 lovvik Exp $ */

/*
 *   Copyright (c) 1995 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: diagnostics.c,v $
 * Revision 1.1  1995/10/02  23:40:34  lovvik
 * Initial revision
 * */

static char movieToolRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/diagnostics.c,v 1.1 1995/10/02 23:40:34 lovvik Exp $";

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>

#include <Xm/Xm.h>
#include <Xm/CascadeB.h>
#include <Xm/DialogS.h>
#include <Xm/Form.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>
#include <Xm/List.h>
#include <Xm/MessageB.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/Scale.h>
#include <Xm/ScrollBar.h>
#include <Xm/Separator.h>
#include <Xm/TextF.h>
#include <Xm/LabelG.h>
#include <Xm/PushBG.h>
#include <Xm/SeparatoG.h>
#include <Xm/ToggleBG.h>

#include <stdio.h>
#include <stdlib.h>
#include "interface.h"
#include "structs.h"
#include "prototypes.h"

#ifndef SEEK_SET
#define SEEK_SET 0
#define SEEK_CUR 1
#define SEEK_END 2
#endif

void InitializeDiagnostics(void)
{
 
}


void PrintDiagnostics(char *message)
{
  XmString diagnosticString;
      
  diagnosticString = XmStringCreateSimple(message);
  XmListAddItemUnselected(diagnosticsList, diagnosticString, 0);
  XmListSetBottomPos(diagnosticsList, 0);
  XmStringFree(diagnosticString);
}

void ClearAllDiagnosticMessages(void)
{
  XmListDeleteAllItems(diagnosticsList);
  XmListSetBottomPos(diagnosticsList, 0);
}



