/* $Header: /plx/source/Xclients/generic/RCS/fileUtils.c,v 1.1 1995/11/01 03:12:31 lovvik Exp $ */
/*
 *   Copyright (c) 1995 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: fileUtils.c,v $
 * Revision 1.1  1995/11/01  03:12:31  lovvik
 * Initial revision
 * */

static char movieToolRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/fileUtils.c,v 1.1 1995/11/01 03:12:31 lovvik Exp $";

#include <stdio.h>
#include <stdlib.h>

#ifndef True
#define True 1
#define False 0
#endif

int FileExists(char *filename)
{
  FILE *fileD;
  
  fileD = fopen(filename, "r");
  if(NULL == fileD)
  {
    return(False);
  }
  fclose(fileD);
  return(True);
}

int CanRecordToFile(char *filename)
{
  FILE *fileD;
  int mustRemove = False;

  if(!FileExists(filename))
  {
    mustRemove = True;
  }
  
  fileD = fopen(filename, "a");
  if(NULL == fileD)
  {
    return(False);
  }
  fclose(fileD);
  if(mustRemove == True)
  {
    remove(filename);
  }
  return(True);
}
