/*
 *   Copyright (c) 1995 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: George Drapeau
 */
#ifndef _TCWindoP_h
#define _TCWindoP_h
static char tcWindowPHeaderRcsId[] = "$Id: TCWindoP.h,v 1.2 1996/01/19 00:45:41 drapeau Exp $";
#ifdef __cplusplus
extern "C"	{
#endif

#include "TCWindow.h"
/* include superclass private header file */
#include <X11/CoreP.h>

typedef struct {
    int empty;
} TCWindowClassPart;

typedef struct _TCWindowClassRec {
    CoreClassPart	core_class;
    TCWindowClassPart	tcWindow_class;
} TCWindowClassRec;

extern TCWindowClassRec tcWindowClassRec;

typedef struct
{
  Boolean	trueColor;					    /* Indicates whether the widget actually is TrueColor */
  XtExposeProc	drawMethod;					    /* Hook for app pgmr to draw his/her own graphics in widget */
								    /* No private state as of yet */
} TCWindowPart;

typedef struct _TCWindowRec
{
  CorePart	core;
  TCWindowPart	tc;
} TCWindowRec;

#ifdef __cplusplus
}
#endif
#endif /* _TCWindoP_h */
