/*
 *   Copyright (c) 1995 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: George Drapeau
 */
#ifndef _TCWindow_h
#define _TCWindow_h
static char tcWindowHeaderRcsId[] = "$Id: TCWindow.h,v 1.2 1996/01/19 00:46:37 drapeau Exp $";
#ifdef __cplusplus
extern "C"	{
#endif

/****************************************************************
 *
 * TCWindow widget
 *
 ****************************************************************/

/* Resources:
 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 trueColor	     TrueColor		Boolean		True
 drawMethod	     DrawMethod		DrawMethod	NULL
*/
#define XtNtrueColor		"trueColor"
#define XtNdrawMethod		"drawMethod"

#define XtCTrueColor		"TrueColor"
#define XtCDrawMethod		"DrawMethod"

typedef struct _TCWindowClassRec*	TCWindowWidgetClass;	    /* Declare specific TCWindowWidget class and instance types */
typedef struct _TCWindowRec*		TCWindowWidget;

extern WidgetClass tcWindowWidgetClass;				    /* Declare the class constant */

#ifdef __cplusplus
}
#endif
#endif /* _TCWindow_h */
