/*
 *
 *	jpeg.h -- JPEG API library include file
 *
 *	Written by John Malleo-Roach
 *
 */
#ifdef __cplusplus
extern "C"	{
#endif

static char jpegrcsid[] = "$Id: jpeg.h,v 1.11 1996/01/19 00:52:39 drapeau Exp $";
  

#ifndef jpheader
#ifdef AUDIO
#include    <multimedia/libaudio.h>
#include    <multimedia/audio_device.h>
#endif
#include	"movie.h"
#endif

int			jpeg_free_image();
int			jpeg_save_still();
int			jpeg_save_jfif();
JPEGImage  *jpeg_load_still();
JPEGImage  *jpeg_load_jfif();

int			jpeg_open_movie();
int			jpeg_add_still();
int			jpeg_get_slice();
int			jpeg_add_audio();
int			jpeg_end_frame();
int			jpeg_stop_movie();
int			jpeg_play_movie();
int         jpeg_interrupt_movie();

jpheader   *jpeg_movie_header();

/* end of jpeg.h */
#ifdef __cplusplus
}
#endif
