/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: panasonic.h,v $
 * Revision 1.4  1996/01/19  00:54:00  drapeau
 * Fixed compilation errors for g++.
 *
 * Revision 1.3  1995/09/26  07:12:01  drapeau
 * Made the file friendly to C++ compilers.
 *
 * Revision 1.2  1993/11/19  04:48:54  drapeau
 * Added support for SVR4.  Changes too numerous to mention here.
 *
 * Revision 1.2  91/08/19  13:09:43  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifdef __cplusplus
extern "C"	{
#endif

#ifndef lint
static char *rcsid_panasonic_h = "@(#)$Id: panasonic.h,v 1.4 1996/01/19 00:54:00 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	panasonic.h - include file for panasonic.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializePanasonic();
extern int PanasonicStatus();
extern int PanasonicFrameNumber();
extern int SetPanasonicAudio();
extern int SetPanasonicVideo();
extern int ShowPanasonicFrame();
extern int ShowPanasonicSegment();
extern int PanasonicPlay();
extern int PanasonicReverse();
extern int PanasonicStop();
extern int PanasonicContinue();
extern int PanasonicStill();
extern int PanasonicStepForward();
extern int PanasonicStepReverse();
extern int PanasonicSlowForward();
extern int PanasonicSlowReverse();
extern int PanasonicFastForward();
extern int PanasonicFastReverse();
extern int PanasonicIndex();
extern int PanasonicEject();

/* end of panasonic.h */
#ifdef __cplusplus
}
#endif
