/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: video.h,v $
 * Revision 1.10  1996/01/19  00:13:08  drapeau
 * Fixed compilation errors for g++.
 *
 * Revision 1.9  1995/09/26  07:11:04  drapeau
 * Made the file friendly to C++ compilers.
 *
 * Revision 1.8  1993/11/19  04:48:54  drapeau
 * Added support for SVR4.  Changes too numerous to mention here.
 *
 * Revision 1.2  91/08/19  13:09:59  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifdef __cplusplus
extern "C"	{
#endif

#ifndef lint
static char *rcsid_video_h = "@(#)$Id: video.h,v 1.10 1996/01/19 00:13:08 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *
 *	video.h - Include file for video.c
 *
 *	Written by John Malleo-Roach
 *
 */

/* EXTERNAL VARIABLES */

/* EXTERNAL FUNCTIONS */

extern int InitializeHardware();
extern void LoadStillFrame();
extern void LoadJPEGMovie();
extern void SaveSunRasterFile();
extern void SaveJPEGFile();
extern void SaveJFIFFile();
extern void ConfigPanelProc();
extern void OutputPanelProc();
extern void ColorPanelProc();

/* end of video.h */
#ifdef __cplusplus
}
#endif
