/* $Header: /plx/source/Xclients/generic/RCS/progress.c,v 1.2 1995/10/27 17:00:48 lovvik Exp $ */

/*
 *   Copyright (c) 1995 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: progress.c,v $
 * Revision 1.2  1995/10/27  17:00:48  lovvik
 * Added the include file:  <Xm/Scale.h>.
 *
 * Revision 1.1  1995/09/21  00:35:47  lovvik
 * Initial revision
 * */

static char movieCatRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/progress.c,v 1.2 1995/10/27 17:00:48 lovvik Exp $";

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>

#include <Xm/Xm.h>
#include <Xm/List.h>
#include <Xm/PushB.h>
#include <Xm/TextF.h>
#include <Xm/PushBG.h>
#include <Xm/ToggleBG.h>
#include <Xm/Scale.h>

#include "interface.h"
#include "structs.h"
#include "prototypes.h"

static percentDone;

void SetCurrentMovieFilename(char *filename)
{
  XmString clipString;
  
  clipString = XmStringCreateSimple(filename);
  XtVaSetValues(movieProgressClipLabel,
		XmNlabelString, clipString,
		NULL);
  XmStringFree(clipString);
}

void SetPercentDone(int percent)
{
  if(percent != percentDone &&
     percent >= 0 && percent <= 100)
  {
    XmScaleSetValue(movieProgressSlider, percent);
    percentDone = percent;
  }
}
