/* $Header: /plx/source/Xclients/generic/RCS/hpAudio.h,v 0.90 1994/01/20 18:10:13 drapeau Exp $ */
/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: George Drapeau
 */
/* $Log: hpAudio.h,v $
 * Revision 0.90  1994/01/20  18:10:13  drapeau
 * First working version, borrows a data structure from Sun since Sun's
 * audio data structure is what is currently defined in the JPEG Movie
 * file format.
 * */

#ifndef _hpAudioHeader_
#define	_hpAudioHeader_

typedef struct {
	unsigned	sample_rate;		/* samples per second */
	unsigned	samples_per_unit;	/* samples per unit */
	unsigned	bytes_per_unit;		/* bytes per sample unit */
	unsigned	channels;		/* # of interleaved channels */
	unsigned	encoding;		/* data encoding format */

	unsigned	data_size;		/* length of data (optional) */
} Audio_hdr;


#endif /*!_hpAudioHeader_ */
