/* $Header: /plx/source/Xclients/generic/RCS/hpAudioSS.h,v 1.1 1995/04/27 00:25:42 lovvik Exp $ */

/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: Paul Lovvik
 */

/* $Log: hpAudioSS.h,v $
 * Revision 1.1  1995/04/27  00:25:42  lovvik
 * Initial revision
 * */

static char hpAudioSSRcsid[] = "$Header: /plx/source/Xclients/generic/RCS/hpAudioSS.h,v 1.1 1995/04/27 00:25:42 lovvik Exp $";

/* Prototypes for audio primatives using the HP audio server */

int HPAudioServerAudioWrite(char *audioData, int audioslice);
int HPAudioServerAudioRead(char *audioData, int audioslice);
void HPAudioServerAudioPlayConnect(void);
void HPAudioServerAudioPlayDisconnect(void);
void HPAudioServerAudioRecordConnect(void);
void HPAudioServerAudioRecordDisconnect(void);
void HPAudioServerAudioRecordPause(void);
void HPAudioServerAudioRecordResume(void);
void HPAudioServerAudioPlayPause(void);
void HPAudioServerAudioPlayResume(void);
void HPAudioServerPrintAudioInfo(PortableAudio* audioInfo);
int HPAudioServerInitializeAudio(void);
void HPAudioServerSetAudioPlayVolume(int percent);
void HPAudioServerSetAudioRecordVolume(int percent);
void HPAudioServerSetAudioMonitorVolume(int percent);
void HPAudioServerSetPlaybackDevice(int deviceType);
void HPAudioServerSetRecordDevice(int deviceType);
int HPAudioServerSetAudioPlaybackConfiguration(Audio_hdr* audioInfo);
void HPAudioServerAudioClose(void);
void HPAudioServerSyncAudioPlaybackDevice(void);
void HPAudioServerSyncAudioRecordDevice(void);
void HPAudioServerAudioStopPlayDevice(void);
void HPAudioServerAudioStopRecordDevice(void);
