/* (c) Copyright 1992 Parallax Graphics Inc, All Rights Reserved */

/* This file is $OPENWINHOME/src/client/xview/example/xv.c */

static char *rcsid = "@(#)$Id: xview_test.c,v 1.1 1995/10/06 16:42:11 joe Exp $ Parallax Graphics Inc";

#include    <X11/Xlib.h>
#include <xview/xview.h>
#include "Video.h"

Xv_Window VAAFrame;
static VideoIn video;

Notify_value quit(client,status)
Notify_client client;
Destroy_status status;
{
        if (status == DESTROY_CLEANUP) {
                xv_destroy(video);
                return(notify_next_destroy_func(client,status));
		}
        return(NOTIFY_DONE);
}

main(argc,argv)
int argc;
char *argv[];
{
	register int n;
	static Frame frame;

	xv_init(XV_INIT_ARGC_PTR_ARGV,&argc,argv,NULL);
        frame = (Frame)xv_create(NULL,FRAME,NULL);
        notify_interpose_destroy_func(frame,quit);

        video = xv_create(frame,VIDEO_IN,
		VIDEO_LIVE,			TRUE,
		VIDEO_SQUEEZE,			TRUE,
		XV_VISUAL_CLASS, TrueColor,
                NULL);

	if (video==NULL) {
		printf("%s: Can't create video window.  Check input connection\n", argv[0]);
		exit(1);
		}
	
        xv_set(frame,XV_WIDTH,(xv_get(video,VIDEO_WIDTH)),NULL);
        xv_set(frame,XV_HEIGHT,(xv_get(video,VIDEO_HEIGHT)),NULL);
	xv_main_loop(frame);
}
